# Routing Plans Configuration (DOMS)

Endpoints for configuring routing plan handling.

## GET /api/configurations/capacityplanningtimeframe

> Get capacity planning timeframe

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CapacityPlanningTimeframeConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"days":{"default":100,"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"id":{"type":"string"}},"required":["days"],"type":"object","title":"CapacityPlanningTimeframeConfiguration","description":"CapacityPlanningTimeframeConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/capacityplanningtimeframe":{"get":{"description":"","operationId":"getCapacityPlanningTimeframeConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapacityPlanningTimeframeConfiguration"}}},"description":"Configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Configuration not found"}},"summary":"Get capacity planning timeframe","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## PUT /api/configurations/capacityplanningtimeframe

> Update capacity planning timeframe

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CapacityPlanningTimeframeConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"days":{"default":100,"description":"The range in days per facility which defines how many days in the future the capacity of the facility can be planned","minimum":1,"type":"integer"},"id":{"type":"string"}},"required":["days"],"type":"object","title":"CapacityPlanningTimeframeConfiguration","description":"CapacityPlanningTimeframeConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/capacityplanningtimeframe":{"put":{"description":"","operationId":"putCapacityPlanningTimeframeConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapacityPlanningTimeframeConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CapacityPlanningTimeframeConfiguration"}}},"description":"Configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Configuration not found"}},"summary":"Update capacity planning timeframe","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## Get order routing config

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRoutingConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"infiniteStockEnabled":{"description":"Config to enable/disable infinite stock","type":"boolean"}},"type":"object","title":"OrderRoutingConfiguration","description":"OrderRoutingConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrouting":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getOrderRoutingConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRoutingConfiguration"}}},"description":"The Order Routing Configuration can be found in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get order routing config","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## PUT /api/configurations/orderrouting

> Update order routing config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"OrderRoutingConfiguration":{"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"id":{"type":"string"},"infiniteStockEnabled":{"description":"Config to enable/disable infinite stock","type":"boolean"}},"type":"object","title":"OrderRoutingConfiguration","description":"OrderRoutingConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/orderrouting":{"put":{"description":"","operationId":"putOrderRoutingConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRoutingConfiguration"}}},"description":"Desired order routing configuration to create/update","required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRoutingConfiguration"}}},"description":"The order routing configuration was successfully updated."},"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderRoutingConfiguration"}}},"description":"The order routing configuration was successfully created."},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Invalid input. See response for details"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update order routing config","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## Get reroute description

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RerouteDescription":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["REROUTE"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"RerouteDescription"},"title":"RerouteDescription","description":"RerouteDescription"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reroutedescriptions/{rerouteDescriptionId}":{"get":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"getRerouteDescriptionById","parameters":[{"description":"Id of the reroute description you wish to retrieve","in":"path","name":"rerouteDescriptionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RerouteDescription"}}},"description":"RerouteDescription was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"User not found"}},"summary":"Get reroute description","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## Update reroute description

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RerouteDescriptionForModification":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForModification"}],"type":"object","xml":{"name":"RerouteDescriptionForModification"},"title":"RerouteDescriptionForModification","description":"RerouteDescriptionForModification"},"AbstractReasonForModification":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version","reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForModification"},"title":"AbstractReasonForModification","description":"AbstractReasonForModification"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides Localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/localization","title":"LocaleString","type":"object"},"RerouteDescription":{"allOf":[{"$ref":"#/components/schemas/AbstractReason"}],"properties":{"action":{"enum":["REROUTE"],"type":"string"}},"required":["action"],"type":"object","xml":{"name":"RerouteDescription"},"title":"RerouteDescription","description":"RerouteDescription"},"AbstractReason":{"allOf":[{"$ref":"#/components/schemas/AbstractReasonForCreation"},{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"action":{"description":"The action this reason can be attached to.","type":"string"},"id":{"description":"The id of the Reason","type":"string"}},"required":["id","action"],"type":"object","xml":{"name":"AbstractReason"},"title":"AbstractReason","description":"AbstractReason"},"AbstractReasonForCreation":{"additionalProperties":false,"properties":{"reasonLocalized":{"$ref":"#/components/schemas/LocaleString"},"reason":{"description":"Text explaining the reason for a supported action.","type":"string"}},"required":["reason","reasonLocalized"],"type":"object","xml":{"name":"AbstractReasonForCreation"},"title":"AbstractReasonForCreation","description":"AbstractReasonForCreation"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reroutedescriptions/{rerouteDescriptionId}":{"put":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"putRerouteDescription","parameters":[{"description":"ID of the reroute description you intend to modify","in":"path","name":"rerouteDescriptionId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RerouteDescriptionForModification"}}}},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RerouteDescription"}}},"description":"RerouteDescription rating was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"RerouteDescription not found"}},"summary":"Update reroute description","tags":["Routing Plans Configuration (DOMS)"]}}}}
```

## Delete reroute description

> This part of the API is in Beta status. For details please check the \<a href="<https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta>" target="\_blank">api-release-life-cycle documentation\</a>.\<br />\<br />

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints for configuring routing plan handling.","name":"Routing Plans Configuration (DOMS)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/reroutedescriptions/{rerouteDescriptionId}":{"delete":{"description":"This part of the API is in Beta status. For details please check the <a href=\"https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/api-release-life-cycle#beta\" target=\"_blank\">api-release-life-cycle documentation</a>.<br /><br />","operationId":"deleteRerouteDescription","parameters":[{"description":"ID of the reroute description you intend to delete","in":"path","name":"rerouteDescriptionId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The reroute description was found, and you have been granted permission to delete it."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"RerouteDescription not found"}},"summary":"Delete reroute description","tags":["Routing Plans Configuration (DOMS)"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/routing-plans-configuration-doms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
